Name: squashfs-tools-ng
Version: 1.2.0
Summary: Utilities for the creation of squashfs filesystems
URL:	 https://github.com/AgentD/squashfs-tools-ng
Source0: https://infraroot.at/pub/squashfs/squashfs-tools-ng-%{version}.tar.gz
Release: 1%{dist}
License: GPLv3+

BuildRequires: make
BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: xz-devel
BuildRequires: lzo-devel
BuildRequires: libattr-devel
BuildRequires: lz4-devel
BuildRequires: libzstd-devel
BuildRequires: help2man

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains modified utilities for manipulating squashfs filesystems.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* CHANGELOG* COPYING*

%{_bindir}/gensquashfs
%{_bindir}/rdsquashfs
%{_bindir}/sqfs2tar
%{_bindir}/sqfsdiff
%{_bindir}/tar2sqfs
%{_mandir}/man1/gensquashfs.1.gz
%{_mandir}/man1/rdsquashfs.1.gz
%{_mandir}/man1/sqfs2tar.1.gz
%{_mandir}/man1/sqfsdiff.1.gz
%{_mandir}/man1/tar2sqfs.1.gz
%{_includedir}/sqfs/*
%{_libdir}/libsquashfs.a
%{_libdir}/libsquashfs.la
%{_libdir}/libsquashfs.so*
%{_libdir}/pkgconfig/libsquashfs1.pc

%changelog
* Tue Aug 15 2023 David Trudgian <dtrudg@sylabs.io> - 1.2.0-1
- Initial version.

